camel-imap4-utils
3
CAMEL Library

# camel-imap4-utils

## Synopsis

                        flags_diff_t;
    void                camel_imap4_flags_diff              (flags_diff_t *diff,
                                                             guint32 old,
                                                             guint32 new);
    guint32             camel_imap4_flags_merge             (flags_diff_t *diff,
                                                             guint32 flags);
    guint32             camel_imap4_merge_flags             (guint32 original,
                                                             guint32 local,
                                                             guint32 server);
    void                camel_imap4_namespace_clear         (struct _CamelIMAP4Namespace **ns);
    struct _CamelIMAP4NamespaceList* camel_imap4_namespace_list_copy
                                                            (const struct _CamelIMAP4NamespaceList *nsl);
    void                camel_imap4_namespace_list_free     (struct _CamelIMAP4NamespaceList *nsl);
    char                camel_imap4_get_path_delim          (struct _CamelIMAP4StoreSummary *s,
                                                             const char *full_name);
    int                 camel_imap4_get_uid_set             (struct _CamelIMAP4Engine *engine,
                                                             struct _CamelFolderSummary *summary,
                                                             GPtrArray *infos,
                                                             int cur,
                                                             size_t linelen,
                                                             char **set);
    void                camel_imap4_utils_set_unexpected_token_error
                                                            (CamelException *ex,
                                                             struct _CamelIMAP4Engine *engine,
                                                             struct _camel_imap4_token_t *token);
    int                 camel_imap4_parse_flags_list        (struct _CamelIMAP4Engine *engine,
                                                             guint32 *flags,
                                                             CamelException *ex);
    #define             CAMEL_IMAP4_FOLDER_MARKED
    #define             CAMEL_IMAP4_FOLDER_UNMARKED
                        camel_imap4_list_t;
    int                 camel_imap4_untagged_list           (struct _CamelIMAP4Engine *engine,
                                                             struct _CamelIMAP4Command *ic,
                                                             guint32 index,
                                                             struct _camel_imap4_token_t *token,
                                                             CamelException *ex);
                        camel_imap4_status_attr_t;
                        camel_imap4_status_t;
    void                camel_imap4_status_free             (camel_imap4_status_t *status);
    int                 camel_imap4_untagged_status         (struct _CamelIMAP4Engine *engine,
                                                             struct _CamelIMAP4Command *ic,
                                                             guint32 index,
                                                             struct _camel_imap4_token_t *token,
                                                             CamelException *ex);

## Description

## Details

### flags_diff_t

    typedef struct {
    	guint32 changed;
    	guint32 bits;
    } flags_diff_t;

### camel_imap4_flags_diff ()

    void                camel_imap4_flags_diff              (flags_diff_t *diff,
                                                             guint32 old,
                                                             guint32 new);

`diff` :

`old` :

`new` :

### camel_imap4_flags_merge ()

    guint32             camel_imap4_flags_merge             (flags_diff_t *diff,
                                                             guint32 flags);

`diff` :

`flags` :

Returns :

### camel_imap4_merge_flags ()

    guint32             camel_imap4_merge_flags             (guint32 original,
                                                             guint32 local,
                                                             guint32 server);

Merge the local flag changes into the new server flags.

`original` :

  original server flags

`local` :

  local flags (after changes)

`server` :

  new server flags (another client updated the server flags)

Returns :

  the merged flags.

### camel_imap4_namespace_clear ()

    void                camel_imap4_namespace_clear         (struct _CamelIMAP4Namespace **ns);

`ns` :

### camel_imap4_namespace_list_copy ()

    struct _CamelIMAP4NamespaceList* camel_imap4_namespace_list_copy
                                                            (const struct _CamelIMAP4NamespaceList *nsl);

`nsl` :

Returns :

### camel_imap4_namespace_list_free ()

    void                camel_imap4_namespace_list_free     (struct _CamelIMAP4NamespaceList *nsl);

`nsl` :

### camel_imap4_get_path_delim ()

    char                camel_imap4_get_path_delim          (struct _CamelIMAP4StoreSummary *s,
                                                             const char *full_name);

`s` :

`full_name` :

Returns :

### camel_imap4_get_uid_set ()

    int                 camel_imap4_get_uid_set             (struct _CamelIMAP4Engine *engine,
                                                             struct _CamelFolderSummary *summary,
                                                             GPtrArray *infos,
                                                             int cur,
                                                             size_t linelen,
                                                             char **set);

`engine` :

`summary` :

`infos` :

`cur` :

`linelen` :

`set` :

Returns :

### camel_imap4_utils_set_unexpected_token_error ()

    void                camel_imap4_utils_set_unexpected_token_error
                                                            (CamelException *ex,
                                                             struct _CamelIMAP4Engine *engine,
                                                             struct _camel_imap4_token_t *token);

`ex` :

`engine` :

`token` :

### camel_imap4_parse_flags_list ()

    int                 camel_imap4_parse_flags_list        (struct _CamelIMAP4Engine *engine,
                                                             guint32 *flags,
                                                             CamelException *ex);

`engine` :

`flags` :

`ex` :

Returns :

### CAMEL_IMAP4_FOLDER_MARKED

    #define CAMEL_IMAP4_FOLDER_MARKED   (1 << 17)

### CAMEL_IMAP4_FOLDER_UNMARKED

    #define CAMEL_IMAP4_FOLDER_UNMARKED (1 << 18)

### camel_imap4_list_t

    typedef struct {
    	guint32 flags;
    	char delim;
    	char *name;
    } camel_imap4_list_t;

### camel_imap4_untagged_list ()

    int                 camel_imap4_untagged_list           (struct _CamelIMAP4Engine *engine,
                                                             struct _CamelIMAP4Command *ic,
                                                             guint32 index,
                                                             struct _camel_imap4_token_t *token,
                                                             CamelException *ex);

`engine` :

`ic` :

`index` :

`token` :

`ex` :

Returns :

### camel_imap4_status_attr_t

    typedef struct {
    	struct _camel_imap4_status_attr *next;
    	guint32 type;
    	guint32 value;
    } camel_imap4_status_attr_t;

### camel_imap4_status_t

    typedef struct {
    	camel_imap4_status_attr_t *attr_list;
    	char *mailbox;
    } camel_imap4_status_t;

### camel_imap4_status_free ()

    void                camel_imap4_status_free             (camel_imap4_status_t *status);

`status` :

### camel_imap4_untagged_status ()

    int                 camel_imap4_untagged_status         (struct _CamelIMAP4Engine *engine,
                                                             struct _CamelIMAP4Command *ic,
                                                             guint32 index,
                                                             struct _camel_imap4_token_t *token,
                                                             CamelException *ex);

`engine` :

`ic` :

`index` :

`token` :

`ex` :

Returns :